Skip to main content
POST
/
v3
/
stores
/
{store_id}
/
customers
/
me
/
subscriptions
/
{id}
/
resume
Resume a customer subscription
curl --request POST \
  --url https://api.myscalev.com/v3/stores/{store_id}/customers/me/subscriptions/{id}/resume \
  --header 'Authorization: Bearer <token>'
{
  "activated_at": "2023-11-07T05:31:56Z",
  "business_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canceled_at": "2023-11-07T05:31:56Z",
  "current_period_end": "2023-11-07T05:31:56Z",
  "current_period_start": "2023-11-07T05:31:56Z",
  "customer": {
    "confirmed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "email": "jsmith@example.com",
    "id": 123,
    "last_updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "phone": "<string>",
    "status": "<string>"
  },
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expired_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inserted_at": "2023-11-07T05:31:56Z",
  "interval": "day",
  "interval_count": 123,
  "is_active": true,
  "is_cancel_at_period_end": true,
  "latest_renewal_invoice": {
    "amount": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "currency": "IDR",
    "due_date": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "order_id": 123,
    "paid_at": "2023-11-07T05:31:56Z",
    "status": "scheduled"
  },
  "order_id": 123,
  "status": "unactivated",
  "store": {
    "id": 123,
    "logo": "<string>",
    "name": "<string>",
    "unique_id": "<string>",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subscription_id": "<string>",
  "subscription_items": [
    {
      "activated_at": "2023-11-07T05:31:56Z",
      "canceled_at": "2023-11-07T05:31:56Z",
      "currency": "IDR",
      "expired_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "inserted_at": "2023-11-07T05:31:56Z",
      "is_cancel_at_period_end": true,
      "license_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orderline_id": 123,
      "pending_action": {
        "action_type": "create",
        "completed_at": "2023-11-07T05:31:56Z",
        "confirmed_at": "2023-11-07T05:31:56Z",
        "created_by": {},
        "execution_type": "immediate",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "inserted_at": "2023-11-07T05:31:56Z",
        "next_variant_config": {},
        "order_id": 123,
        "status": "scheduled",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "price": 123,
      "quantity": 123,
      "status": "unactivated",
      "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "variant": {
        "id": 123,
        "item_type": "physical",
        "name": "<string>",
        "product_name": "<string>"
      },
      "variant_id": 123
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
store_id
string
required

Store unique_id.

Response

Subscription resumed successfully

A subscription represents a recurring payment for a product or service.

activated_at
string<date-time>

The date and time when the subscription was activated.

business_customer_id
string<uuid>

Identifier for the business customer associated with the subscription.

business_id
string<uuid>

Identifier for the business associated with the subscription.

canceled_at
string<date-time>

The date and time when the subscription was canceled.

current_period_end
string<date-time>

The end date of the current billing period.

current_period_start
string<date-time>

The start date of the current billing period.

customer
Customer · object

Customer information

customer_id
string<uuid>

Identifier for the customer associated with the subscription.

expired_at
string<date-time>

The date and time when the subscription expired.

id
string<uuid>

Unique identifier for the subscription.

inserted_at
string<date-time>

The date and time when the subscription was created.

interval
enum<string>

Unit of the period

Available options:
day,
week,
month,
year
interval_count
integer

The number of intervals between each billing cycle.

is_active
boolean

Indicates if the subscription is currently active.

is_cancel_at_period_end
boolean

Indicates if the subscription will cancel at the end of the current period.

latest_renewal_invoice
RenewalInvoice · object

The latest renewal invoice for the subscription. Contains details about the most recent renewal action.

order_id
integer | null

The order ID associated with the subscription creation. Null for free trial subscriptions.

status
enum<string>

The status of the subscription.

Available options:
unactivated,
active,
canceled,
expired,
failed
store
Store · object

Store information

store_id
string<uuid>

Identifier for the store associated with the subscription.

subscription_id
string | null

Human-readable subscription identifier (e.g. YYMMDD + random alpha).

subscription_items
SubscriptionItem · object[]

List of subscription items associated with the subscription.

updated_at
string<date-time>

The date and time when the subscription was last updated.